import type { Prisma } from '../../generated/prisma';
import * as z from 'zod';
import { ShoppingVendorIncludeObjectSchema as ShoppingVendorIncludeObjectSchema } from './objects/ShoppingVendorInclude.schema';
import { ShoppingVendorOrderByWithRelationInputObjectSchema as ShoppingVendorOrderByWithRelationInputObjectSchema } from './objects/ShoppingVendorOrderByWithRelationInput.schema';
import { ShoppingVendorWhereInputObjectSchema as ShoppingVendorWhereInputObjectSchema } from './objects/ShoppingVendorWhereInput.schema';
import { ShoppingVendorWhereUniqueInputObjectSchema as ShoppingVendorWhereUniqueInputObjectSchema } from './objects/ShoppingVendorWhereUniqueInput.schema';
import { ShoppingVendorScalarFieldEnumSchema } from './enums/ShoppingVendorScalarFieldEnum.schema';

// Select schema needs to be in file to prevent circular imports
//------------------------------------------------------

export const ShoppingVendorFindFirstOrThrowSelectSchema: z.ZodType<Prisma.ShoppingVendorSelect> = z.object({
    id: z.boolean().optional(),
    userId: z.boolean().optional(),
    vendorName: z.boolean().optional(),
    websiteUrl: z.boolean().optional(),
    loginUsername: z.boolean().optional(),
    loginPassword: z.boolean().optional(),
    user: z.boolean().optional()
  }).strict() as unknown as z.ZodType<Prisma.ShoppingVendorSelect>;

export const ShoppingVendorFindFirstOrThrowSelectZodSchema = z.object({
    id: z.boolean().optional(),
    userId: z.boolean().optional(),
    vendorName: z.boolean().optional(),
    websiteUrl: z.boolean().optional(),
    loginUsername: z.boolean().optional(),
    loginPassword: z.boolean().optional(),
    user: z.boolean().optional()
  }).strict();

export const ShoppingVendorFindFirstOrThrowSchema: z.ZodType<Prisma.ShoppingVendorFindFirstOrThrowArgs> = z.object({ select: ShoppingVendorFindFirstOrThrowSelectSchema.optional(), include: z.lazy(() => ShoppingVendorIncludeObjectSchema.optional()), orderBy: z.union([ShoppingVendorOrderByWithRelationInputObjectSchema, ShoppingVendorOrderByWithRelationInputObjectSchema.array()]).optional(), where: ShoppingVendorWhereInputObjectSchema.optional(), cursor: ShoppingVendorWhereUniqueInputObjectSchema.optional(), take: z.number().optional(), skip: z.number().optional(), distinct: z.union([ShoppingVendorScalarFieldEnumSchema, ShoppingVendorScalarFieldEnumSchema.array()]).optional() }).strict() as unknown as z.ZodType<Prisma.ShoppingVendorFindFirstOrThrowArgs>;

export const ShoppingVendorFindFirstOrThrowZodSchema = z.object({ select: ShoppingVendorFindFirstOrThrowSelectSchema.optional(), include: z.lazy(() => ShoppingVendorIncludeObjectSchema.optional()), orderBy: z.union([ShoppingVendorOrderByWithRelationInputObjectSchema, ShoppingVendorOrderByWithRelationInputObjectSchema.array()]).optional(), where: ShoppingVendorWhereInputObjectSchema.optional(), cursor: ShoppingVendorWhereUniqueInputObjectSchema.optional(), take: z.number().optional(), skip: z.number().optional(), distinct: z.union([ShoppingVendorScalarFieldEnumSchema, ShoppingVendorScalarFieldEnumSchema.array()]).optional() }).strict();